From da51a412cf52b09633525de306b4eb968c1ecd27 Mon Sep 17 00:00:00 2001
From: Abderrahim Kitouni <abderrahim.kitouni@codethink.co.uk>
Date: Wed, 22 May 2024 14:17:48 +0100
Subject: [PATCH] components/python3-buildstream2.bst: update to 2.2.1

---
 elements/components/python3-buildstream2.bst |  4 +--
 patches/buildstream/keepalive-timeout.patch  | 30 --------------------
 2 files changed, 1 insertion(+), 33 deletions(-)
 delete mode 100644 patches/buildstream/keepalive-timeout.patch

diff --git a/elements/components/python3-buildstream2.bst b/elements/components/python3-buildstream2.bst
index 60e113654..631bb0415 100644
--- a/elements/components/python3-buildstream2.bst
+++ b/elements/components/python3-buildstream2.bst
@@ -30,6 +30,4 @@ sources:
   track: '*.*.*'
   exclude:
   - '*.dev*'
-  ref: 2.2.0-0-gb0b7231fd0fe803463db3ea1f0e827082404306a
-- kind: patch
-  path: patches/buildstream/keepalive-timeout.patch
+  ref: 2.2.1-0-gaba6eff09b133e140fba961ede14a984b2e236c7
diff --git a/patches/buildstream/keepalive-timeout.patch b/patches/buildstream/keepalive-timeout.patch
deleted file mode 100644
index aa5590bdc..000000000
--- a/patches/buildstream/keepalive-timeout.patch
+++ /dev/null
@@ -1,30 +0,0 @@
-From 2228a496d9537c717bda48f7996270193a840429 Mon Sep 17 00:00:00 2001
-From: Seppo Yli-Olli <seppo.yliolli@gmail.com>
-Date: Sun, 28 Apr 2024 21:09:13 +0300
-Subject: [PATCH] Properly set keepalive time
-
----
- src/buildstream/_cas/casremote.py | 3 +--
- 1 file changed, 1 insertion(+), 2 deletions(-)
-
-diff --git a/src/buildstream/_cas/casremote.py b/src/buildstream/_cas/casremote.py
-index 54e0b2ddc..f4fbe1223 100644
---- a/src/buildstream/_cas/casremote.py
-+++ b/src/buildstream/_cas/casremote.py
-@@ -13,7 +13,6 @@
- #
- 
- import grpc
--from google.protobuf.duration_pb2 import Duration  # pylint: disable=no-name-in-module
- 
- from .._protos.google.rpc import code_pb2
- from .._protos.build.buildgrid import local_cas_pb2
-@@ -71,7 +70,7 @@ def _configure_protocols(self):
-         if self.spec.client_cert:
-             cas_endpoint.client_cert = self.spec.client_cert
-         if self.spec.keepalive_time is not None:
--            cas_endpoint.keepalive_time = Duration().FromSeconds(self.spec.keepalive_time)
-+            cas_endpoint.keepalive_time.FromSeconds(self.spec.keepalive_time)
-         try:
-             response = local_cas.GetInstanceNameForRemotes(request)
-         except grpc.RpcError as e:
-- 
2.39.2

